TTestHaikuWindow::TTestHaikuWindow(BRect oFrame)
		: SUPER(oFrame, _T(gAppNameEnUs), B_TITLED_WINDOW, B_ASYNCHRONOUS_CONTROLS)
{
	// Filter
	AddCommonFilter(new TMouseDownFilter());
}
//------------------------------------------------------------------------------
void	TTestHaikuWindow::MessageReceived(BMessage* oMsg)
{
	switch( oMsg->what ) {
	case B_MOUSE_DOWN:
		MouseDown(oMsg);
		break;
	default:
		SUPER::MessageReceived(oMsg);
	}
}
//------------------------------------------------------------------------------
void	TTestHaikuWindow::MouseDown(BMessage* oMsg)
{
	BPoint	aPoint;

	oMsg->FindPoint("where", &aPoint);	// gets aPoint in BWindow coordinate
	DBEXP("TTestHaikuWindow::MouseDown()", BRect(aPoint, B_ORIGIN));
}
//------------------------------------------------------------------------------
//==============================================================================
TMouseDownFilter::TMouseDownFilter()
		: SUPER(B_MOUSE_DOWN)
{
}
//------------------------------------------------------------------------------
filter_result	TMouseDownFilter::Filter(BMessage* oMsg, BHandler** oTgt)
{
	DBEXP("TMouseDownFilter::Filter()", "");
	*oTgt = Looper();
	return B_DISPATCH_MESSAGE;
}
//------------------------------------------------------------------------------
//==============================================================================
